The NetBSD Project

CVS log for pkgsrc/print/cups/Makefile.common

[BACK] Up to [cvs.NetBSD.org] / pkgsrc / print / cups

Request diff between arbitrary revisions


Default branch: MAIN


Revision 1.10 / (download) - annotate - [select for diffs], Thu Jan 2 15:21:32 2020 UTC (7 weeks, 1 day ago) by leot
Branch: MAIN
CVS Tags: HEAD
Changes since 1.9: +2 -2 lines
Diff to previous 1.9 (colored)

cups{,-base}: Update to 2.3.1

Changes:
2.3.1
-----
- Documentation updates (Issue #5661, #5674, #5682)
- CVE-2019-2228: The `ippSetValuetag` function did not validate the default
  language value.
- Fixed a crash bug in the web interface (Issue #5621)
- The PPD cache code now looks up page sizes using their dimensions
  (Issue #5633)
- PPD files containing "custom" option keywords did not work (Issue #5639)
- Added a workaround for the scheduler's systemd support (Issue #5640)
- On Windows, TLS certificates generated on February 29 would likely fail
  (Issue #5643)
- Added a DigestOptions directive for the `client.conf` file to control whether
  MD5-based Digest authentication is allowed (Issue #5647)
- Fixed a bug in the handling of printer resource files (Issue #5652)
- The libusb-based USB backend now reports an error when the distribution
  permissions are wrong (Issue #5658)
- Added paint can labels to Dymo driver (Issue #5662)
- The `ippeveprinter` program now supports authentication (Issue #5665)
- The `ippeveprinter` program now advertises DNS-SD services on the correct
  interfaces, and provides a way to turn them off (Issue #5666)
- The `--with-dbusdir` option was ignored by the configure script (Issue #5671)
- Sandboxed applications were not able to get the default printer (Issue #5676)
- Log file access controls were not preserved by `cupsctl` (Issue #5677)
- Default printers set with `lpoptions` did not work in all cases (Issue #5681,
  Issue #5683, Issue #5684)
- Fixed an error in the jobs web interface template (Issue #5694)
- Fixed an off-by-one error in `ippEnumString` (Issue #5695)
- Fixed some new compiler warnings (Issue #5700)
- Fixed a few issues with the Apple Raster support (rdar://55301114)
- The IPP backend did not detect all cases where a job should be retried using
  a raster format (rdar://56021091)
- Fixed spelling of "fold-accordion".
- Fixed the default common name for TLS certificates used by `ippeveprinter`.
- Fixed the option names used for IPP Everywhere finishing options.
- Added support for the second roll of the DYMO Twin/DUO label printers.

Revision 1.9 / (download) - annotate - [select for diffs], Sun Nov 17 21:22:03 2019 UTC (3 months ago) by leot
Branch: MAIN
CVS Tags: pkgsrc-2019Q4-base, pkgsrc-2019Q4
Changes since 1.8: +2 -2 lines
Diff to previous 1.8 (colored)

cups{,-base}: Update to 2.3.0

Changes:
2.3.0
-----
 - CVE-2019-8696 and CVE-2019-8675: Fixed SNMP buffer overflows
   (rdar://51685251)
 - Added a GPL2/LGPL2 exception to the new CUPS license terms.
 - Documentation updates (Issue #5604)
 - Localization updates (Issue #5637)
 - Fixed a bug in the scheduler job cleanup code (Issue #5588)
 - Fixed builds when there is no TLS library (Issue #5590)
 - Eliminated some new GCC compiler warnings (Issue #5591)
 - Removed dead code from the scheduler (Issue #5593)
 - "make" failed with GZIP options (Issue #5595)
 - Fixed potential excess logging from the scheduler when removing job files
   (Issue #5597)
 - Fixed a NULL pointer dereference bug in `httpGetSubField2` (Issue #5598)
 - Added FIPS-140 workarounds for GNU TLS (Issue #5601, Issue #5622)
 - The scheduler no longer provides a default value for the description
   (Issue #5603)
 - The scheduler now logs jobs held for authentication using the error level so
   it is clear what happened (Issue #5604)
 - The `lpadmin` command did not always update the PPD file for changes to the
   `cupsIPPSupplies` and `cupsSNMPSupplies` keywords (Issue #5610)
 - The scheduler now uses both the group's membership list as well as the
   various OS-specific membership functions to determine whether a user belongs
   to a named group (Issue #5613)
 - Added USB quirks rule for HP LaserJet 1015 (Issue #5617)
 - Fixed some PPD parser issues (Issue #5623, Issue #5624)
 - The IPP parser no longer allows invalid member attributes in collections
   (Issue #5630)
 - The configure script now treats the "wheel" group as a potential system
   group (Issue #5638)
 - Fixed a USB printing issue on macOS (rdar://31433931)
 - Fixed IPP buffer overflow (rdar://50035411)
 - Fixed memory disclosure issue in the scheduler (rdar://51373853)
 - Fixed DoS issues in the scheduler (rdar://51373929)
 - Fixed an issue with unsupported "sides" values in the IPP backend
   (rdar://51775322)
 - The scheduler would restart continuously when idle and printers were not
   shared (rdar://52561199)
 - Fixed an issue with `EXPECT !name WITH-VALUE ...` tests.
 - Fixed a command ordering issue in the Zebra ZPL driver.
 - Fixed a memory leak in `ppdOpen`.

Revision 1.8 / (download) - annotate - [select for diffs], Fri Aug 16 21:19:30 2019 UTC (6 months ago) by leot
Branch: MAIN
CVS Tags: pkgsrc-2019Q3-base, pkgsrc-2019Q3
Changes since 1.7: +2 -2 lines
Diff to previous 1.7 (colored)

cups{,-base}: Update to 2.2.12

pkgsrc changes:
 - Remove patches/patch-5613 (already present)

Changes:
2.2.12
------
- CVE-2019-8696 and CVE-2019-8675: Fixed SNMP buffer overflows (rdar://51685251)
- The `cupsctl` command now prevents setting "cups-files.conf" directives
  (Issue #5530)
- Updated the systemd service file for cupsd (Issue #5551)
- The `cupsCheckDestSupported` function did not check octetString values
  correctly (Issue #5557)
- The scheduler did not encode octetString values like "job-password" correctly
  for the print filters (Issue #5558)
- Restored minimal support for the `Emulators` keyword in PPD files to allow
  old Samsung printer drivers to continue to work (Issue #5562)
- Timed out job submission now yields an error (Issue #5570)
- The footer in the web interface covered some content on small displays
  (Issue #5574)
- The libusb-based USB backend now enforces read limits, improving print speed
  in many cases (Issue #5583)
- Fixed some compatibility issues with old releases of CUPS (Issue #5587)
- Fixed a bug in the scheduler job cleanup code (Issue #5588)
- "make" failed with GZIP options (Issue #5595)
- Added FIPS-140 workarounds for GNU TLS (Issue #5601, Issue #5622)
- The scheduler no longer provides a default value for the description
  (Issue #5603)
- The `lpadmin` command did not always update the PPD file for changes to the
  `cupsIPPSupplies` and `cupsSNMPSupplies` keywords (Issue #5610)
- The scheduler now uses both the group's membership list as well as the
  various OS-specific membership functions to determine whether a user belongs
  to a named group (Issue #5613)
- Added USB quirks rule for HP LaserJet 1015 (Issue #5617)
- Fixed some PPD parser issues (Issue #5623, Issue #5624)
- The IPP parser no longer allows invalid member attributes in collections
  (Issue #5630)
- Fixed IPP buffer overflow (rdar://50035411)
- Fixed memory disclosure issue in the scheduler (rdar://51373853)
- Fixed DoS issues in the scheduler (rdar://51373929)
- The scheduler would restart continuously when idle and printers were not
  shared (rdar://52561199)
- Fixed a command ordering issue in the Zebra ZPL driver.
- Fixed a memory leak in `ppdOpen`.

Revision 1.7 / (download) - annotate - [select for diffs], Wed Apr 17 09:39:27 2019 UTC (10 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2019Q2-base, pkgsrc-2019Q2
Changes since 1.6: +2 -2 lines
Diff to previous 1.6 (colored)

cups: update to 2.2.11

Changes in CUPS v2.2.11
-----------------------

- Running ppdmerge with the same input and output filenames did not work as
  advertised (Issue #5455)
- Fixed a potential memory leak when reading at the end of a file (Issue #5473)
- Fixed potential unaligned accesses in the string pool (Issue #5474)
- Fixed a potential memory leak when loading a PPD file (Issue #5475)
- Added a USB quirks rule for the Lexmark E120n (Issue #5478)
- Updated the USB quirks rule for Zebra label printers (Issue #5395)
- Fixed a compile error on Linux (Issue #5483)
- The lpadmin command, web interface, and scheduler all queried an IPP
  Everywhere printer differently, resulting in different PPDs for the same
  printer (Issue #5484)
- Fixed an issue with the self-signed certificates generated by GNU TLS
  (Issue #5506)
- The `ippValidateAttribute` function did not catch all instances of invalid
  UTF-8 strings (Issue #5509)
- Non-Kerberized printing to Windows via IPP was broken (Issue #5515)
- The scheduler no longer stops a printer if an error occurs when a job is
  canceled or aborted (Issue #5517)
- Added a USB quirks rule for the DYMO 450 Turbo (Issue #5521)
- Added a USB quirks rule for Xerox printers (Issue #5523)
- The scheduler's self-signed certificate did not include all of the alternate
  names for the server when using GNU TLS (Issue #5525)
- Fixed compiler warnings with newer versions of GCC (Issue #5532, Issue #5533)
- Fixed some PPD caching and IPP Everywhere PPD accounting/password bugs
  (Issue #5535)
- Fixed `PreserveJobHistory` bug with time values (Issue #5538)
- Media size matching now uses a tolerance of 0.5mm (rdar://33822024)
- The lpadmin command would hang with a bad PPD file (rdar://41495016)
- Fixed a potential crash bug in cups-driverd (rdar://46625579)
- Fixed a performance regression with large PPDs (rdar://47040759)
- The scheduler did not always idle exit as quickly as it could.

Revision 1.6 / (download) - annotate - [select for diffs], Mon Dec 10 07:54:49 2018 UTC (14 months, 1 week ago) by leot
Branch: MAIN
CVS Tags: pkgsrc-2019Q1-base, pkgsrc-2019Q1, pkgsrc-2018Q4-base, pkgsrc-2018Q4
Changes since 1.5: +2 -2 lines
Diff to previous 1.5 (colored)

cups{,-base}: Update print/cups{,-base} to 2.2.10

Changes
2.2.10
------
- CVE-2018-4700: Linux session cookies used a predictable random number seed.
- The `lpoptions` command now works with IPP Everywhere printers that have not
  yet been added as local queues (Issue #5045)
- Added USB quirk rules (Issue #5395, Issue #5443)
- The generated PPD files for IPP Everywhere printers did not contain the
  cupsManualCopies keyword (Issue #5433)
- Kerberos credentials might be truncated (Issue #5435)
- The handling of `MaxJobTime 0` did not match the documentation (Issue #5438)
- Incorporated the page accounting changes from CUPS 2.3 (Issue #5439)
- Fixed a bug adding a queue with the `-E` option (Issue #5440)
- Fixed a crash bug when mapping PPD duplex options to IPP attributes
  (rdar://46183976)

Revision 1.5 / (download) - annotate - [select for diffs], Sat Nov 10 19:51:12 2018 UTC (15 months, 1 week ago) by leot
Branch: MAIN
Changes since 1.4: +2 -2 lines
Diff to previous 1.4 (colored)

cups{,-base}: Update print/cups{,-base} to 2.2.9

pkgsrc changes:
- Remove patches/patch-cups_ipp.c, no more needed (applied)
- Remove patches/patch-ppdc_Makefile, libcupsppdc.la is no more installed
  (also libcupscgi.la, libcupsmime.la are no longer installed, unfortunately no
  rationale seems present in the changelog about that)

Changes:
2.2.9
-----
- Localization changes (Issue #5348, Issue #5362, Issue #5408)
- Documentation updates (Issue #5369)
- The lpadmin command would create a non-working printer in some error cases
  (Issue #5305)
- The scheduler would crash if an empty `AccessLog` directive was specified
  (Issue #5309)
- Fixed a regression in the changes to ippValidateAttribute (Issue #5322,
  Issue #5330)
- Fixed a crash bug in the Epson dot matrix driver (Issue #5323)
- Automatic debug logging of job errors did not work with systemd (Issue #5337)
- The web interface did not list the IPP Everywhere "driver" (Issue #5338)
- The IPP Everywhere "driver" now properly supports face-up printers
  (Issue #5345)
- Fixed some typos in the label printer drivers (Issue #5350)
- Multi-file jobs could get stuck if the backend failed (Issue #5359,
  Issue #5413)
- The IPP Everywhere "driver" no longer does local filtering when printing to
  a shared CUPS printer (Issue #5361)
- The lpadmin command now correctly reports IPP errors when configuring an
  IPP Everywhere printer (Issue #5370)
- Fixed some memory leaks discovered by Coverity (Issue #5375)
- The PPD compiler incorrectly terminated JCL options (Issue #5379)
- The cupstestppd utility did not generate errors for missing/mismatched
  CloseUI/JCLCloseUI keywords (Issue #5381)
- The scheduler now reports the actual location of the log file (Issue #5398)
- Added a USB quirk rule (Issue #5420)
- The scheduler was being backgrounded on macOS, causing applications to spin
  (rdar://40436080)
- The scheduler did not validate that required initial request attributes were
  in the operation group (rdar://41098178)
- Authentication in the web interface did not work on macOS (rdar://41444473)
- Fixed an issue with HTTP Digest authentication (rdar://41709086)
- The scheduler could crash when job history was purged (rdar://42198057)
- Dropped non-working RSS subscriptions UI from web interface templates.
- Fixed a memory leak for some IPP (extension) syntaxes.

Revision 1.4 / (download) - annotate - [select for diffs], Mon Jun 11 10:04:24 2018 UTC (20 months, 1 week ago) by adam
Branch: MAIN
CVS Tags: pkgsrc-2018Q3-base, pkgsrc-2018Q3, pkgsrc-2018Q2-base, pkgsrc-2018Q2
Changes since 1.3: +2 -2 lines
Diff to previous 1.3 (colored)

cups: updated to 2.2.8

CUPS 2.2.8 is a bug fix release that addresses issues in the scheduler, ipptool utility, CUPS library, and USB printer support. A detailed list of changes can be found in the change log included in the download.

Revision 1.3 / (download) - annotate - [select for diffs], Thu Apr 5 16:31:45 2018 UTC (22 months, 2 weeks ago) by leot
Branch: MAIN
Changes since 1.2: +2 -2 lines
Diff to previous 1.2 (colored)

cups{,-base}: Update print/cups{,-base} to 2.2.7

pkgsrc changes:
- Get rid of extra `/' in patches/patch-config-scripts_cups-opsys.m4
  (NFCI, pointed out by mkpatches).
- Add to patches/patch-scheduler_auth.c a backport of issue #5283 to fix build
  without PAM. This will be not needed in cups-2.2.8.

Changes:
CUPS v2.2.7
-----------
- NOTICE: Raw print queues are now deprecated (Issue #5269)
- Fixed an Avahi crash bug in the scheduler (Issue #5268)
- The IPP Everywhere PPD generator did not include the `cupsJobPassword`
  keyword, when supported (Issue #5265)
- Systemd did not restart cupsd when configuration changes were made that
  required a restart (Issue #5263)
- The Lexmark Optra E310 printer needs the "no-reattach" USB quirk rule
  (Issue #5259)
- The scheduler could crash while adding an IPP Everywhere printer (Issue #5258)
- Label printers supported by the rastertolabel driver don't support SNMP, so
  don't delay printing to test it (Issue #5256)
- Fixed a compile issue when PAM is not available (Issue #5253)
- Documentation fixes (Issue #5252)
- Star Micronics printers need the "unidir" USB quirk rule (Issue #5251)
- The scheduler now supports using temporary print queues for older IPP/1.1
  print queues like those shared by CUPS 1.3 and earlier (Issue #5241)
- Fixed printing to some IPP Everywhere printers (Issue #5238)
- Kerberized printing to another CUPS server did not work correctly
  (Issue #5233)
- The `cupsRasterWritePixels` function did not correctly swap bytes for some
  formats (Issue #5225)
- Added a USB quirk rule for Canon MP280 series printers (Issue #5221)
- The `ppdInstallableConflict` tested too many constraints (Issue #5213)
- More fixes for printing to old CUPS servers (Issue #5211)
- The `cupsCopyDest` function now correctly copies the `is_default` value
  (Issue #5208)
- The scheduler did not work with older versions of uClibc (Issue #5188)
- The scheduler now substitutes default values for invalid job attributes when
  running in "relaxed conformance" mode (Issue #5186)
- Fixed PAM module detection and added support for the common PAM definitions
  (Issue #5185)
- Fixed a journald support bug in the scheduler (Issue #5181)
- The cups-driverd program incorrectly stopped scanning PPDs as soon as a loop
  was seen (Issue #5170)
- Fixed group validation on OpenBSD (Issue #5166)
- Fixed the `ippserver` sample code when threading is disabled or unavailable
  (Issue #5154)
- The `cupsEnumDests` function did not include options from the lpoptions files
  (Issue #5144)
- The `SSLOptions` directive now supports `MinTLS` and `MaxTLS` options to
  control the minimum and maximum TLS versions that will be allowed,
  respectively (Issue #5119)
- The scheduler did not write out dirty configuration and state files if there
  were open client connections (Issue #5118)
- The `lpadmin` command now provides a better error message when an unsupported
  System V interface script is used (Issue #5111)
- The `lp` and `lpr` commands now provide better error messages when the default
  printer cannot be found (Issue #5096)
- No longer support backslash, question mark, or quotes in printer names
  (Issue #4966)
- The CUPS library now supports the latest HTTP Digest authentication
  specification including support for SHA-256 (Issue #4862)
- The `lpstat` command now reports when new jobs are being held (Issue #4761)
- The `lpoptions` command incorrectly saved default options (Issue #4717)
- The `ppdLocalizeIPPReason` function incorrectly returned a localized version
  of "none" (rdar://36566269)
- TLS connections now properly timeout (rdar://34938533)
- The IPP backend did not properly detect failed PDF prints (rdar://34055474)
- Temporary files are now placed in the correct directory for sandboxed
  applications on macOS (rdar://problem/37789645)

Revision 1.2 / (download) - annotate - [select for diffs], Sat Dec 2 20:02:34 2017 UTC (2 years, 2 months ago) by leot
Branch: MAIN
CVS Tags: pkgsrc-2018Q1-base, pkgsrc-2018Q1, pkgsrc-2017Q4-base, pkgsrc-2017Q4
Changes since 1.1: +2 -2 lines
Diff to previous 1.1 (colored)

cups{,-base}: Update print/cups{,-base} to 2.2.6

pkgsrc changes:
- s/ghostscript/cups-filters/ in MESSAGE (most missing parts needed to use
  non-PS printers are provided by print/cups-filters)
- Define GITHUB_PROJECT to just `cups' (not `cups-base', as PKGBASE).
  This fixes fetching of the distfile from the MASTER_SITES.

Changes:
CUPS v2.2.6
-----------
- DBUS notifications could crash the scheduler (Issue #5143)
- Added USB quirks rules for Canon MP540 and Samsung ML-2160 (Issue #5148)
- Fixed TLS cipher suite selection with GNU TLS (Issue #5145, Issue #5150)
- Localization updates (Issue #5152)

Revision 1.1 / (download) - annotate - [select for diffs], Sun Nov 12 14:10:15 2017 UTC (2 years, 3 months ago) by khorben
Branch: MAIN

Rename print/cups to print/cups-base to depend on cups-filters

This change:
- renames print/cups to print/cups-base,
- lets print/cups-filters depend on print/cups-base instead of cups,
- adds a package print/cups depending on print/cups-base and
  print/cups-filters.

This makes sure installing print/cups always installs
print/cups-filters, as it is necessary for being able to print outside
of Mac OS X since CUPS 1.6.0. You're welcome.

I do not think superseding is necessary, since print/cups will also
install print/cups-base, which really is the same as before. In practice
it is like a new dependency. I do not want to risk a bad "cvs import"
either, sorry.

Bumps PKGREVISION for print/cups and print/cups-filters, since they have
new dependencies now. This is also necessary for everything else currently
depending on print/cups; I will try to commit this right after this one.

Tested on NetBSD/amd64, as reviewed on tech-pkg@.
No breakage observed, apologies if anything goes wrong.

This form allows you to request diff's between any two revisions of a file. You may select a symbolic revision name using the selection box or you may type in a numeric name using the type-in text box.




CVSweb <webmaster@jp.NetBSD.org>